Draft: Arco

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Arc and the translation is 12% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Pagina precedente: Draft Circle.svg Cerchio
Pagina successiva: Arco da 3 punti Draft Arc 3Points.svg Arrow-right.svg

Draft Arc.svg Arco

Posizione nel menu
Draft → Arco
Ambiente
Draft, Architettura
Avvio veloce
A R
Introdotto nella versione
0.7
Vedere anche
Circonferenza, Ellipse, Arco da 3 punti

Descrizione

Crea un arco nel piano di lavoro. Si può definire l'arco inserendo quattro punti, il centro, il raggio, il primo punto e l'ultimo punto, oppure selezionando le tangenti, oppure con qualsiasi combinazione di questi elementi. L'arco assume il tipo di linea e il colore impostati in precedenza nella barra di Draft.

A Draft Arc is in fact a Draft Circle with a DatiFirst Angle that is not the same as its DatiLast Angle.

Draft Arc example.jpg

Arco definito da quattro punti: centro, raggio, punto iniziale dell'arco e punto finale dell'arco.

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

Utilizzo

  1. Premere il pulsante Draft Arc.svg Arco, o premere i tasti A e R
  2. Selezionare un primo punto nella vista 3D per stabilire il centro, oppure digitare le sue coordinate poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  3. Selezionare un secondo punto nella vista 3D, o introdurre il valore del raggio.
  4. Selezionare un terzo punto nella vista 3D, o introdurre l'angolo iniziale
  5. Selezionare un quarto punto nella vista 3D, o introdurre l'angolo di apertura

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

Opzioni

  • L'uso principale dello strumento arco è selezionando quattro punti: il centro, un punto sulla circonferenza, l'inizio dell'arco e la sua fine.
    • Premendo Alt, si può selezionare una tangente invece diselezionare un punto, per definire il cerchio di base dell'arco. È quindi possibile costruire diversi tipi di cerchi selezionando una, due o tre tangenti.
  • La direzione dell'arco dipende dal movimento che si sta facendo con il mouse. Se si inizia il movimento in senso orario dopo aver inserito il terzo punto, l'arco va in senso orario. Per andare in senso antiorario, spostare semplicemente il mouse indietro sul terzo punto, finché l'arco inizia a disegnare nell'altra direzione.
  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Premere il tasto T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Arco si riavvia dopo aver terminato l'arco in costruzione, e consente di disegnarne un nuovo arco senza premere nuovamente il pulsante dello strumento.
  • Tenere premuto Ctrl mentre si disegna per forzare l'aggancio del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si disegna per vincolare il prossimo punto in orizzontale o in verticale rispetto all'ultimo.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente.

Notes

L'arco può essere modificato facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante Draft Edit.svg Modifica. Quindi si può spostare il punto centrale in una nuova posizione.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates, radii and angles: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Circle instead of a Draft Circle.

Properties

Proprietà

Un oggetto Arco condivide tutte le proprietà di un Cerchio, ma alcune proprietà hanno senso solo per il cerchio.

Scripting

Lo strumento Arco può essere utilizzato nelle macro e dalla console Python utilizzando la stessa funzione per creare cerchi, con argomenti aggiuntivi. Vedi le informazioni in Cerchio.

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

arc1 = Draft.make_circle(200, startangle=0, endangle=90)
arc2 = Draft.make_circle(500, startangle=20, endangle=160)
arc3 = Draft.make_circle(750, startangle=-30, endangle=-150)

doc.recompute()


Arrow-left.svg Pagina precedente: Draft Circle.svg Cerchio
Pagina successiva: Arco da 3 punti Draft Arc 3Points.svg Arrow-right.svg